Skip to main content
`Ctrl`+`K`

# skbio.metadata.CategoricalMetadataColumn.get_ids

CategoricalMetadataColumn.get_ids(where_values_missing=False)

  Retrieve IDs matching search criteria.

  Parameters:
    where_values_missing bool, optional

      If `True`, only return IDs that are associated with missing values (`np.nan`). If `False` (the default), return all IDs in the metadata column.

  Returns:
    set

      IDs matching search criteria.

  See also

  `ids`
  `filter_ids`
  `has_missing_values`
  `drop_missing_values`